import { Map } from "immutable";

export const msgs: Map<string, string> = Map({
  "terms.nothingHere": "Здесь ничего нет",
  "stateMgr.cap.fail": "не удалось получить идентификатор капчи",
  "browser.upload.del.fail": "Не удалось удалить загружаемый элемент",
  "browser.folder.add.fail": "Имя папки не может быть пустым",
  "browser.del.fail": "Пожалуйста, сначала выберите файл или папку для удаления",
  "browser.move.fail": "Исходный каталог совпадает с каталогом назначения",
  "browser.share.add.fail": "Не удалось включить общий доступ",
  "browser.share.del.fail": "Не удалось отключить общий доступ",
  "browser.share.del": "Прекратить делиться",
  "browser.share.add": "Поделиться папкой",
  "browser.share.title": "Обмен",
  "browser.share.desc": "Все папки, которые являются общими",
  "browser.upload.title": "Загрузки",
  "browser.upload.desc": "Все файлы находящиеся в загрузке",
  "browser.folder.name": "Имя папки",
  "browser.folder.add": "Добавить папку",
  "browser.upload": "Загрузить",
  "browser.delete": "Удалить",
  "browser.paste": "Вставить",
  "browser.select": "Выбрать",
  "browser.deselect": "Отменить выбор",
  "browser.selectAll": "Выбрать всё",
  "browser.stop": "Стоп",
  "browser.disable": "Зарпетить",
  "browser.location": "Расположение",
  "browser.item.title": "Предметы",
  "browser.used": "Используемое пространство",
  "panes.close": "Закрыть",
  "login.logout.fail": "Не удалось выйти из системы",
  "login.username": "Имя пользователя",
  "login.captcha": "Капча",
  "login.pwd": "Пароль",
  "login.login": "Авторизоваться",
  "login.logout": "Выход из системы",
  "settings.pwd.notSame": "Входные пароли отличаются",
  "settings.pwd.empty": "Пароль не может быть пустым",
  "settings.pwd.notChanged": "Новый пароль может быть идентичен старому паролю",
  update: "Обновление",
  "settings.pwd.old": "Старый пароль",
  "settings.pwd.new1": "Новый пароль",
  "settings.pwd.new2": "Подтвердите новый пароль",
  "settings.chooseLan": "Выберите язык",
  "settings.pwd.update": "Обновить пароль",
  settings: "Настройки",
  admin: "Админ",
  "update.ok": "Обновление закончено",
  "update.fail": "Не удалось обновить",
  "delete.fail": "Не удалось удалить",
  "delete.ok": "Удалось удалить",
  delete: "Удалить",
  spaceLimit: "Лимит пространства",
  uploadLimit: "Ограничение скорости загрузки",
  downloadLimit: "Ограничение скорости скачивания",
  "add.fail": "Не удалось создать",
  "add.ok": "Удалось создать",
  "role.delete.warning":
    "После удаления этой роли некоторые пользователи не смогут войти в систему.",
  "user.id": "ID пользователя",
  "user.add": "Добавить пользователя",
  "user.name": "User Name",
  "user.role": "User Role",
  "user.password": "User Password",
  add: "Add",
  "admin.users": "Users",
  "role.add": "Add Role",
  "role.name": "Role Name",
  "admin.roles": "Roles",
  zhCN: "简体中文",
  enUS: "English (US)",
  "move.fail": "Failed to move",
  "share.404.title": "No folder is in sharing",
  "share.404.desc": "You can share a folder in the items tab",
  "upload.404.title": "No uploading is in the progress",
  "upload.404.desc": "You can upload a file in the items tab",
  detail: "Detail",
  refresh: "Refresh",
  "refresh-hint": "Please refresh later to see the result",
  "pane.login": "Login",
  "pane.admin": "Administration",
  "pane.settings": "Settings",
  "logout.confirm": "Are you going to logout?",
  unauthed: "Unauthorized action",
  "err.tooManyUploads": "Can not upload more than 1000 files at once",
  "user.profile": "User Profile",
  "user.downLimit": "Download Speed Limit",
  "user.upLimit": "Upload Speed Limit",
  "user.spaceLimit": "Space Limit",
  "cfg.siteName": "Site Name",
  "cfg.siteDesc": "Site Description",
  "cfg.bg": "Background",
  "cfg.bg.url": "Background URL",
  "cfg.bg.repeat": "Repeat",
  "cfg.bg.pos": "Position",
  "cfg.bg.align": "Align",
  "cfg.bg.bgColor": "Background Color",
  reset: "Reset",
  "bg.url.alert": "Image URL is too short or too long",
  "bg.pos.alert": "Position only supports: top, bottom, left, right, center",
  "bg.repeat.alert":
    "Repeat only supports: repeat-x, repeat-y, repeat, space, round, no-repeat",
  "bg.align.alert": "Align only supports: scroll, fixed, local",
  "prefer.theme": "Theme",
  "prefer.theme.url": "Theme URL",
  "settings.customLan": "Customized Language Pack",
  "settings.lanPackURL": "Language Pack URL",
  "op.fail": "Operation Failed",
  "op.confirm": "Do you confirm to apply the action?",
  "control.panelTabs.filesPanel": "Files",
  "control.panelTabs.uploadingsPanel": "Uploadings",
  "control.panelTabs.sharingsPanel": "Sharings",
  "control.settingsTabs.managementPane": "Management",
  "control.settingsTabs.preferencePane": "Preference",
  "upload.add.fail": "Some files conflict with uploading files, please check.",
  "server.fail": "The operation failed in the server",
  "err.updater": "updater error",
  "err.uploadMgr": "Upload Manager error",
  "err.server": "The operation failed in the server",
  "err.script.cors": "script error with CORS",
  "err.unknown": "unknown error",
  "item.type": "Item Type",
  "item.type.folder": "Folder",
  "item.type.file": "File",
  "item.name": "Item Name",
  "item.path": "Path",
  "item.modTime": "Mod Time",
  "item.size": "Size",
  "item.progress": "Progress",
  "item.downloadURL": "Download URL",
  "error.report.title": "Error Report",
  "op.truncate": "Truncate",
  "op.submit": "Submit",
  "op.cancel": "Cancel",
  "term.time": "Time",
  "breadcrumb.loc": "Location",
  endpoints: "Endpoints",
  "endpoints.root": "Root",
  "endpoints.home": "Home",
  "state.stopped": "Stopped",
  "state.error": "Error",
  usedSpace: "Used Space",
  resetUsedSpace: "Reset Used Space",
  "confirm.resetUsedSpace": "The operation may take some time, do you confirm?",
  theme: "Theme",
  "theme.light": "Light",
  "theme.dark": "Dark",
  "siteSettings": "Site Settings",
  "siteName": "Site Name",
  "siteDesc": "Site Description",
  "allowSetBg": "Allow user to customize background",
  "autoTheme": "Enable auto theme switching",
  "term.enabled": "Enabled",
  "term.disabled": "Disabled",
  "term.dropAnywhere": "Drop files anywhere",
  "term.search": "Search",
  "term.results": "Results",
  "term.noResult": "No result found",
  "action.go": "Go",
  "hint.keywords": "Please input keyword(s), separated by spaces",
  "action.reindex": "Reindex",
  "action.reindex.desc": "Reconstruct the search index",
  "action.reindex.confirm": "If there are a lot of files and folders, rebuilding index may take some time.",
});
